## SignonSecurityContext SignonSecurityContext — Security context for SignonIdentityInfo. |

## Functions

SignonSecurityContext * | signon_security_context_new ()
SignonSecurityContext * | signon_security_context_new_from_values ()
SignonSecurityContext * | signon_security_context_copy ()
void | signon_security_context_free ()
const gchar * | signon_security_context_get_application_context ()
const gchar * | signon_security_context_get_system_context ()
void | signon_security_context_set_application_context ()
void | signon_security_context_set_system_context ()

## Types and Values

| SignonSecurityContext

## Object Hierarchy

        GBoxed
        ╰── SignonSecurityContext

## Description

Security context information for a SignonIdentity.

## Functions

### signon_security_context_new ()

    SignonSecurityContext *
    signon_security_context_new (void);

Creates a new SignonSecurityContext item.

#### Returns

a new SignonSecurityContext item.

[transfer full]

### signon_security_context_new_from_values ()

    SignonSecurityContext *
    signon_security_context_new_from_values
                                   (const gchar *system_context,
                                    const gchar *application_context);

Creates a new SignonSecurityContext item.

#### Parameters

system_context | system security context |
application_context | application security context |

#### Returns

a new SignonSecurityContext item.

[transfer full]

### signon_security_context_copy ()

    SignonSecurityContext *
    signon_security_context_copy (const SignonSecurityContext *other);

Get a newly-allocated copy of `info` .

#### Parameters

other | the SignonSecurityContext. |

#### Returns

a copy of the given SignonIdentityInfo, or `NULL` on failure.

[transfer full]

### signon_security_context_free ()

    void
    signon_security_context_free (SignonSecurityContext *ctx);

Destroys the given SignonSecurityContext item.

#### Parameters

ctx | the SignonSecurityContext. |

### signon_security_context_get_application_context ()

    const gchar *
    signon_security_context_get_application_context
                                   (const SignonSecurityContext *ctx);

Get the application context of `ctx` .

#### Parameters

ctx | the SignonSecurityContext. |

#### Returns

the application context.

### signon_security_context_get_system_context ()

    const gchar *
    signon_security_context_get_system_context
                                   (const SignonSecurityContext *ctx);

Get the system context of `ctx` .

#### Parameters

ctx | the SignonSecurityContext. |

#### Returns

the system context.

### signon_security_context_set_application_context ()

    void
    signon_security_context_set_application_context
                                   (SignonSecurityContext *ctx,
                                    const gchar *application_context);

Sets the application context.

#### Parameters

ctx | the SignonSecurityContext. |
application_context | the application context. |

### signon_security_context_set_system_context ()

    void
    signon_security_context_set_system_context
                                   (SignonSecurityContext *ctx,
                                    const gchar *system_context);

Sets the system context.

#### Parameters

ctx | the SignonSecurityContext. |
system_context | the system context. |

## Types and Values

### SignonSecurityContext

    typedef struct _SignonSecurityContext SignonSecurityContext;

Opaque struct. Use the accessor functions below.